vec_expr_v2_unary< Op, Expr >

## Classes

struct | const_iterator

## Public Types

typedef Expr::size_type | size_type
typedef Expr::value_type | value_type
typedef Expr::memory_type | memory_type
typedef Expr::const_iterator | expr_const_iterator
typedef float_traits< value_type >::type | float_type

## Public Member Functions

| vec_expr_v2_unary (const Op &op, const Expr &expr)
template<class BinaryOp , class Constant >
| vec_expr_v2_unary (const BinaryOp &binop, const Constant &c, const Expr &expr)
template<class BinaryOp , class Constant >
| vec_expr_v2_unary (const BinaryOp &binop, const Expr &expr, const Constant &c)
const distributor & | ownership () const
size_type | size () const
const_iterator | begin () const

## Protected Attributes

const Op | _op
const expr_const_iterator | _expr_iter
const distributor | _ownership

## Detailed Description

### template<class Op, class Expr>
struct rheolef::details::vec_expr_v2_unary< Op, Expr >

Definition at line 75 of file vec_expr_v2.h.

## Member Typedef Documentation

## size_type

typedef Expr::size_type size_type

Definition at line 79 of file vec_expr_v2.h.

## value_type

typedef Expr::value_type value_type

Definition at line 80 of file vec_expr_v2.h.

## memory_type

typedef Expr::memory_type memory_type

Definition at line 81 of file vec_expr_v2.h.

## expr_const_iterator

typedef Expr::const_iterator expr_const_iterator

Definition at line 82 of file vec_expr_v2.h.

## float_type

typedef float_traits<value_type>::type float_type

Definition at line 83 of file vec_expr_v2.h.

## Constructor & Destructor Documentation

## vec_expr_v2_unary() [1/3]

vec_expr_v2_unary | ( | const Op & | op,
|  | const Expr & | expr
| ) |  |

Definition at line 87 of file vec_expr_v2.h.

## vec_expr_v2_unary() [2/3]

vec_expr_v2_unary | ( | const BinaryOp & | binop,
|  | const Constant & | c,
|  | const Expr & | expr
| ) |  |

Definition at line 91 of file vec_expr_v2.h.

## vec_expr_v2_unary() [3/3]

vec_expr_v2_unary | ( | const BinaryOp & | binop,
|  | const Expr & | expr,
|  | const Constant & | c
| ) |  |

Definition at line 95 of file vec_expr_v2.h.

## Member Function Documentation

## ownership()

const distributor& ownership | ( |  | ) | const

Definition at line 100 of file vec_expr_v2.h.

## size()

size_type size | ( |  | ) | const

Definition at line 101 of file vec_expr_v2.h.

## begin()

const_iterator begin | ( |  | ) | const

Definition at line 119 of file vec_expr_v2.h.

## Member Data Documentation

## _op

const Op _op

protected

Definition at line 121 of file vec_expr_v2.h.

## _expr_iter

const expr_const_iterator _expr_iter

protected

Definition at line 122 of file vec_expr_v2.h.

## _ownership

const distributor _ownership

protected

Definition at line 123 of file vec_expr_v2.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/vec_expr_v2.h